package com.hxhq.business.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.hxhq.common.core.domain.MpBaseEntity;


/**
 * 试验-申请单-稽查轨迹对象 t_study_form_apply_jcgj
 *
 * @author hxhq
 * @date 2026-01-04
 */
@TableName("t_study_form_apply_jcgj")
public class StudyFormApplyJcgj extends MpBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 申请表单id */
    private Long formId;

    /** 稽查轨迹类型:1:流程；3：编辑 */
    private Integer jcgjlx;

    /** 稽查名称 */
    private String jcmc;

    /** 稽查名称-英文 */
    private String jcmcEn;

    /** 稽查名称颜色：1：蓝色；3：红色；5：绿色；7：橙色 */
    private Integer jcmcys;

    /** 稽查内容 */
    private String jcnr;

    /** 稽查内容-英文 */
    private String jcnrEn;

    /** 签名人id */
    private Long qmrId;

    /** 签名人名称 */
    private String qmrMc;

    /** 签名人名称-英文 */
    private String qmrMcEn;

    /** 语言 */
    @TableField(exist = false)
    private String lang;

    public String getLang() {
        return lang;
    }

    public void setLang(String lang) {
        this.lang = lang;
    }

    public String getJcmcEn() {
        return jcmcEn;
    }

    public void setJcmcEn(String jcmcEn) {
        this.jcmcEn = jcmcEn;
    }

    public String getJcnrEn() {
        return jcnrEn;
    }

    public void setJcnrEn(String jcnrEn) {
        this.jcnrEn = jcnrEn;
    }

    public String getQmrMcEn() {
        return qmrMcEn;
    }

    public void setQmrMcEn(String qmrMcEn) {
        this.qmrMcEn = qmrMcEn;
    }

    public void setFormId(Long formId)
    {
        this.formId = formId;
    }

    public Long getFormId()
    {
        return formId;
    }

    public void setJcgjlx(Integer jcgjlx)
    {
        this.jcgjlx = jcgjlx;
    }

    public Integer getJcgjlx()
    {
        return jcgjlx;
    }

    public void setJcmc(String jcmc)
    {
        this.jcmc = jcmc;
    }

    public String getJcmc()
    {
        return jcmc;
    }

    public void setJcmcys(Integer jcmcys)
    {
        this.jcmcys = jcmcys;
    }

    public Integer getJcmcys()
    {
        return jcmcys;
    }

    public void setJcnr(String jcnr)
    {
        this.jcnr = jcnr;
    }

    public String getJcnr()
    {
        return jcnr;
    }

    public void setQmrId(Long qmrId)
    {
        this.qmrId = qmrId;
    }

    public Long getQmrId()
    {
        return qmrId;
    }

    public void setQmrMc(String qmrMc)
    {
        this.qmrMc = qmrMc;
    }

    public String getQmrMc()
    {
        return qmrMc;
    }

}
